Hacking R4i SDHC (3DS) Firmware Updated to V1.56b, support DSi V1.44

snub17

Active Member
OP
Newcomer
Joined
Oct 4, 2006
Messages
26
Trophies
0
XP
141
Country
Canada
The guys at www.r4i-sdhc.com have uploaded the new firmware for the v1.4.3 nds cart with the non 3ds logo on it. Just download the kernel and run the update, i suggest using your charger whie doing this in case the console might turn off and brick your card.
 

pyromaniac123

ส็็็็็็็็็็็็็็็็็็็(ಠ益ಠส็็็็็็็็็็็็็็็็็็็
Member
Joined
Sep 24, 2011
Messages
2,006
Trophies
1
XP
1,742
Country
I think you mean 1.56b not 1.46b.
 

hoosier_d

Well-Known Member
Newcomer
Joined
Oct 1, 2009
Messages
59
Trophies
0
XP
54
Country
United States
My daughter updated her dsi xl to 1.4.4u and I just tried this new kernel and still get the following AN ERROR HAS OCCURRED. PRESS AND HOLD THE POWER BUTTON TO TURN THE SYSTEM OFF. PLEASE SEE THE NINTENDO DSI OPERATIONS MANUAL FOR HELP TROUBLESHOOTING.

Anyone else experienceing trouble.................we have the R4i V1.4.1 card
 

jimmyemunoz

Well-Known Member
Member
Joined
Feb 23, 2009
Messages
1,958
Trophies
0
Location
Louisiana
XP
477
Country
United States
My daughter updated her dsi xl to 1.4.4u and I just tried this new kernel and still get the following AN ERROR HAS OCCURRED. PRESS AND HOLD THE POWER BUTTON TO TURN THE SYSTEM OFF. PLEASE SEE THE NINTENDO DSI OPERATIONS MANUAL FOR HELP TROUBLESHOOTING.

Anyone else experienceing trouble.................we have the R4i V1.4.1 card
You have to update the flash card before the DS/DSi/3DS. Once you update the flash card, if you wanted, you could update the firmware on the DS/DSi/3DS. Never update your DS/DSi/3DS before the flash card! :)

At this point, you need to find a DSi, with v1.43 or lower firmware, or a DS/DS Lite to perform the update. Put your daughter's card into one of the DS/DSi's it works on and perform the update. After the update, it will work on her DSi with v1.44 firmware.
 

Cyhiwraith

Member
Newcomer
Joined
Apr 21, 2012
Messages
8
Trophies
0
XP
144
Country
United States
My daughter updated her dsi xl to 1.4.4u and I just tried this new kernel and still get the following AN ERROR HAS OCCURRED. PRESS AND HOLD THE POWER BUTTON TO TURN THE SYSTEM OFF. PLEASE SEE THE NINTENDO DSI OPERATIONS MANUAL FOR HELP TROUBLESHOOTING.

Anyone else experienceing trouble.................we have the R4i V1.4.1 card
You have to update the flash card before the DS/DSi/3DS. Once you update the flash card, if you wanted, you could update the firmware on the DS/DSi/3DS. Never update your DS/DSi/3DS before the flash card! :)

At this point, you need to find a DSi, with v1.43 or lower firmware, or a DS/DS Lite to perform the update. Put your daughter's card into one of the DS/DSi's it works on and perform the update. After the update, it will work on her DSi with v1.44 firmware.

Is there ANY other way around this? I eff'd up and updated the DS to 1.4.4u b4 putting the flashcard in. None of my friends have a DSi, just DS / 3DS XD. Kinda lame having this problem :/.
 

Clydefrosch

Well-Known Member
Member
Joined
Jan 2, 2009
Messages
5,936
Trophies
2
XP
4,323
Country
Germany
My daughter updated her dsi xl to 1.4.4u and I just tried this new kernel and still get the following AN ERROR HAS OCCURRED. PRESS AND HOLD THE POWER BUTTON TO TURN THE SYSTEM OFF. PLEASE SEE THE NINTENDO DSI OPERATIONS MANUAL FOR HELP TROUBLESHOOTING.

Anyone else experienceing trouble.................we have the R4i V1.4.1 card
You have to update the flash card before the DS/DSi/3DS. Once you update the flash card, if you wanted, you could update the firmware on the DS/DSi/3DS. Never update your DS/DSi/3DS before the flash card! :)

At this point, you need to find a DSi, with v1.43 or lower firmware, or a DS/DS Lite to perform the update. Put your daughter's card into one of the DS/DSi's it works on and perform the update. After the update, it will work on her DSi with v1.44 firmware.

Is there ANY other way around this? I eff'd up and updated the DS to 1.4.4u b4 putting the flashcard in. None of my friends have a DSi, just DS / 3DS XD. Kinda lame having this problem :/.

a normal ds/dslite will do the trick just fine.

just remember to take all the games and saves and save them to your pc first, then delete everything on the cart, put in the files from the new update, use the old ds to update the firmware (3rd icon and then click upgrade)
then you can put the games back on and everything should work again
 
  • Like
Reactions: 1 person

hoosier_d

Well-Known Member
Newcomer
Joined
Oct 1, 2009
Messages
59
Trophies
0
XP
54
Country
United States
Just wanted to say thanks............I was able to update my daughters card with my other daughters dsi xl and now it works perfectly.
 

Cyhiwraith

Member
Newcomer
Joined
Apr 21, 2012
Messages
8
Trophies
0
XP
144
Country
United States
Okay, so I got a new DSI with v1.4u (not 1.4.4u) and I'm trying to upgrade it but I can't... when I put the card into the new DSI(v1.4u) and go to the 3rd option and select upgrade it only "upgrade" "Current Version Support Model: NDSL, NDSI 1.40." nothing about upgrading... am I missing something?
 

Pong20302000

making notes on everything
Member
Joined
Sep 8, 2009
Messages
8,076
Trophies
0
Location
One's inner self
Website
3dsdb.com
XP
2,305
Country
Okay, so I got a new DSI with v1.4u (not 1.4.4u) and I'm trying to upgrade it but I can't... when I put the card into the new DSI(v1.4u) and go to the 3rd option and select upgrade it only "upgrade" "Current Version Support Model: NDSL, NDSI 1.40." nothing about upgrading... am I missing something?

some of the older cards from r4i-sdhc.com where not upgradable
so you most likely will have to purchase a new card
 

Cyhiwraith

Member
Newcomer
Joined
Apr 21, 2012
Messages
8
Trophies
0
XP
144
Country
United States
Okay, so I got a new DSI with v1.4u (not 1.4.4u) and I'm trying to upgrade it but I can't... when I put the card into the new DSI(v1.4u) and go to the 3rd option and select upgrade it only "upgrade" "Current Version Support Model: NDSL, NDSI 1.40." nothing about upgrading... am I missing something?
some of the older cards from r4i-sdhc.com where not upgradable so you most likely will have to purchase a new card

I have the R4i v1.4, so that one doesn't have it? I'm assuming the 1.4.4 is the one I will need then... or is there another? (need for NDSI, ofc.)
 

Rydian

Resident Furvert™
Member
Joined
Feb 4, 2010
Messages
27,880
Trophies
0
Age
35
Location
Cave Entrance, Watching Cyan Write Letters
Website
rydian.net
XP
8,920
Country
United States
Okay, so I got a new DSI with v1.4u (not 1.4.4u) and I'm trying to upgrade it but I can't... when I put the card into the new DSI(v1.4u) and go to the 3rd option and select upgrade it only "upgrade" "Current Version Support Model: NDSL, NDSI 1.40." nothing about upgrading... am I missing something?
some of the older cards from r4i-sdhc.com where not upgradable so you most likely will have to purchase a new card

I have the R4i v1.4, so that one doesn't have it? I'm assuming the 1.4.4 is the one I will need then... or is there another? (need for NDSI, ofc.)
I'd recommend not buying a shitty clone.

http://gbatemp.net/t290097-which-flash-cart-should-i-get
Of the ones listed there, the R4i Gold and DSTwo have proven to update quickly and already have the latest DSi/3DS updates out.

The Acekard 2i is listed there as well, but has been really slow in updating lately, and might not be able to update anymore after the latest one, so it's not recommended.
 
  • Like
Reactions: 1 person

Cyhiwraith

Member
Newcomer
Joined
Apr 21, 2012
Messages
8
Trophies
0
XP
144
Country
United States
So it looks like the Supercard DSTwo is the one to get, if I may ask, what is the best site for this cart? http://shoptemp.net/...card-DSTWO.html looked on here, and advice / tips on the sites? (US Here, Michigan). Also it fully supports the NDSi and the 3DS? I read on the review it fits 'snug' into a NDSi XL, and 'tight' into a NDS lite. So no good on the 3DS? I only need it for the NDSi XL, so it's fine if not. I'd like to get someones opinion on it before I spend ~35$ though if possible, especially on what site is best to get it from. Thanks in advance.


Edit: Also, I had no idea that the R4i-SDHC was a clone.
 

Rydian

Resident Furvert™
Member
Joined
Feb 4, 2010
Messages
27,880
Trophies
0
Age
35
Location
Cave Entrance, Watching Cyan Write Letters
Website
rydian.net
XP
8,920
Country
United States
It works on all DS, DSi, and 3DS units. The info may have been written before the 3DS was out in the US.

The DSTwo is generally considered the ultimate cart, minor battery drain aside.
http://gbatemp.net/topic/289020-the-ultimate-ds-battery-test-thread-in-the-world/
It's the cart I and many others personally use, you should be happy with it.

This store is shoptemp's sponsor, so they're reliable.
http://www.nds-card.com/ProShow.asp?ProID=135

This is another shop that's proven themselves to be reliable.
http://www.zhuzhuchina.com/store/supercard_dstwo_slot_1_multilanguage_1_4_4_compatible_gba_iplayer_mediaplayer_3ds_preflashed.html

And here's a store that's Canada-based (right across the border, so fast shipping is available too.)
http://www.modchipcentral.com/store/supercard-dstwo-ds-two-w-free-usb-reader-and-usb-charge-cable.html

The actual R4 team only made the "R4". Anything else with "R4" in the name was not made by them. Yes, that means any "R4" with DSi support, 3DS support, SCHD support, etc... none of them were made by the original R4 team. While some teams have shown themselves to be good (r4ids.cn for example), the majority out there lack support/updates now.
 

You may also like...

General chit-chat
Help Users
    Veho @ Veho: https://i.imgur.com/HaUJG5S.png